Egnyte Help Desk

iOS Users: Please Upgrade to iOS 9.3.5

As a courtesy to our customers who use iOS devices, please know that Apple has identified and patched a security hole in their software. This vulnerability allows attackers to take over your phone. Please update your iOS devices to version 9.3.5 at your earliest convenience.

Egnyte Community

Egnyte Community

Want to connect with other Egnyte users and our Egnyte team? Share ideas and ask questions in our Community.